RK-J - Bug #2635

Fixes needed for resuming ingestion(overwrite etc) after instance comes back up
09/30/2022 10:16 AM - Ram Kordale

Status: Closed Start date: 09/30/2022
Priority: Urgent Due date: 10/03/2022
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 3.00 hours
Target version: 1-RK-J-1 Spent time: 5.00 hours
Description

Noticed on Sep 29th that Book with index name pytorch-python-api-ks23sep22 was stuck at id 2531 on Dev.

Debugging showed that resumption logic has bugs.

History

#1 - 09/30/2022 11:22 AM - Ayush Khandelwal
- Due date set to 09/30/2022
- Status changed from New to In Progress

- Estimated time set to 3.00 h

#2 - 10/03/2022 09:31 AM - Ayush Khandelwal
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#3 - 10/03/2022 09:31 AM - Ayush Khandelwal
- Due date changed from 09/30/2022 to 10/03/2022
- Status changed from Resolved to Reopened

- % Done changed from 100 to 50

#4 - 10/03/2022 09:32 AM - Ayush Khandelwal

- Status changed from Reopened to In Progress

#5 - 10/03/2022 09:32 AM - Ayush Khandelwal
Bug:

Scenario:

If the book has 6 documents.

Move the documents to tempContent
All the 6 documents are saved to tempContent and tempContentSupplement. Now, the lastAddedDocumentld will be <documentProcessingld>-6.

Move the documents to content
In the moveTempContentDataToDSANdES() method, it will get lastAddedDocumentld as <documentProcessingld>-6. This lastAddedDocumentld is 6
because it is last updated to tempContent and not the content.

then List<tempDocumentKeys>(sorted in descending order) will be processed 1 by 1. Here, the tempDocument will be <documentProcessingld>-6.
As both lastAddedDocumentld and tempDocument Id is equal, it will not save/update that document to content kind

#6 - 10/03/2022 09:33 AM - Ayush Khandelwal
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#7 - 10/06/2022 06:17 AM - Ayush Khandelwal

- Status changed from Resolved to Feedback

Working as expected on QA
#8 - 10/21/2022 10:29 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

#9 - 12/26/2022 05:48 AM - Ram Kordale
- Status changed from Feedback to Closed
